Bug 1560101 - RGW spinning at 100% CPU with no op traffic
Summary: RGW spinning at 100% CPU with no op traffic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.3
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: 3.1
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
John Brier
URL:
Whiteboard:
Depends On:
Blocks: 1584264 1595386
TreeView+ depends on / blocked
 
Reported: 2018-03-23 21:41 UTC by Michael J. Kidd
Modified: 2018-09-26 18:21 UTC (History)
13 users (show)

Fixed In Version: RHEL: ceph-12.2.5-13.el7cp Ubuntu: 12.2.5-4redhat1xenial
Doc Type: Bug Fix
Doc Text:
.RGW no longer spikes to 100% CPU usage with no op traffic Previously in certain situations an infinite loop could be encountered in `rgw_get_system_obj()`. This could cause spikes in CPU usage. With this update to {product} this specific issue has been resolved.
Clone Of:
: 1595386 (view as bug list)
Environment:
Last Closed: 2018-09-26 18:19:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2819 None None None 2018-09-26 18:21:35 UTC
Ceph Project Bug Tracker 17996 None None None 2018-03-29 15:29:45 UTC
Red Hat Bugzilla 1522881 None CLOSED RGW Memory Leak 2019-08-28 16:21:06 UTC

Comment 23 Ben England 2018-03-28 14:08:26 UTC
I disagree.  The most busy thread you found with top -H was only 20% of 1 core.  What is the overall CPU utilization on that host?  If it isn't above 60-70% then there is no CPU bottleneck.

Comment 33 Adam C. Emerson 2018-05-14 17:18:35 UTC
Seems unlikely, that would look like repeated calls rather than spinning and it's bounded.

Comment 47 errata-xmlrpc 2018-09-26 18:19:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2819


Note You need to log in before you can comment on or make changes to this bug.